%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	DateTime-Format-Mail	

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	perl module to convert between DateTime and RFC2822/822 formats
Name:		perl-%{perlname}
Version:	0.3001
Release:	1
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=XML+Parser
Group:		Development/Perl
Source0:	%{perlname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	expat-devel

%description
perl module to convert between DateTime and RFC2822/822 formats

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL 
#%_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/%{perlversion}/DateTime/Format/Mail.pm
%{_libdir}/perl5/site_perl/%{perlversion}/i686-linux-thread-multi/auto/DateTime/Format/Mail/.packlist
%{_mandir}/man3/DateTime::Format::Mail.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3001-1
- Initial CCux package release
